
//Title:        MiniTeller
//Version:      
//Copyright:    Copyright (c) 1998
//Author:       Nicholas Riley
//Company:      Brandeis University
//Description:  A small bank implementation

package miniteller;

import java.awt.*;
import java.awt.event.*;
import com.sun.java.swing.*;

class ErrorDialog extends JDialog implements ActionListener {
  JPanel p = new JPanel();  // outer panel
  JPanel bp = new JPanel(); // panel for button
  JButton goAwayButton = new JButton("OK");

  public ErrorDialog(Frame frame, org.omg.CORBA.UserException ex) {
    super(frame, "MiniTeller: Error", true);
    String expl;
    p.setLayout(new BorderLayout(10, 10));
		p.add(new JLabel("An error [" + ex.getClass().getName() + "] occurred:"),
    								BorderLayout.NORTH);
		if (ex instanceof DataInvalid)
	    expl = ((DataInvalid) ex).explanation;
		else if (ex instanceof AccessViolation)
	    expl = ((AccessViolation) ex).explanation;
		else if (ex instanceof InsufficientFunds)
	    expl = ((InsufficientFunds) ex).explanation;
		else
	    expl = ex.toString();
		p.add(new JLabel(expl, SwingConstants.CENTER), BorderLayout.CENTER);

		goAwayButton.addActionListener(this);

		bp.add(goAwayButton);
    p.add(bp, BorderLayout.SOUTH);
    getContentPane().add(p);
		pack();
    // display issues with JLabel, give window some more space
    Dimension d = this.getSize();
    d.width += 10;
    this.setSize(d);
		setVisible(true);
	}

  protected ErrorDialog() {
    this(null, null);
  }

	public void actionPerformed(ActionEvent e) {
    setVisible(false);
    dispose();
  }
}
