
//Title:        MiniTeller
//Version:      
//Copyright:    Copyright (c) 1998
//Author:       Nicholas Riley
//Company:      Brandeis University
//Description:  A small bank implementation

package miniteller;

import java.awt.*;
import java.awt.event.*;
import com.sun.java.swing.*;

class NotifyDialog extends JDialog implements ActionListener {
  JPanel p = new JPanel();  // outer panel
  JPanel mp = new JPanel(); // panel for message
  JPanel bp = new JPanel(); // panel for button
  JButton goAwayButton = new JButton("OK");

  public NotifyDialog(Frame frame, String heading, String[][] message) {
    super(frame, "MiniTeller: Message", true);
    String expl;
    p.setLayout(new BorderLayout(10, 10));

		if (heading != null) p.add(new JLabel(heading, SwingConstants.CENTER),
                               BorderLayout.NORTH);

    if (message != null) {
      int rows = message.length, cols = message[0].length;
      mp.setLayout(new GridLayout(rows, cols, 5, 5));
      int r, c;
      for (r = 0 ; r < rows ; r++)
        for (c = 0 ; c < cols ; c++)
          mp.add(new JLabel(message[r][c],
           (cols > 1 && c == 0) ? SwingConstants.RIGHT : SwingConstants.LEFT));

      p.add(mp, BorderLayout.CENTER);
    }

		goAwayButton.addActionListener(this);

		bp.add(goAwayButton);
    p.add(bp, BorderLayout.SOUTH);
    getContentPane().add(p);
		pack();
    // display issues with JLabel, give window some more space
    Dimension d = this.getSize();
    d.width += 10;
    this.setSize(d);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent e) {
    this.dispose();
  }
}

